<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\KursHelper;

class KursKopieVeranstalterKurse extends KursKopieHelper
{
  private function getVeranstalterDnr()
  {
    return \Kufer\KuferTools\Veranstalter\Utils\VeranstalterUtils::getVeranstalterDnr($this->user);
  }

  protected function getKursnummern($dbwKurse)
  {
    if (isset($this->toolSettings->kurskopie_onlyDozKurse) && !$this->toolSettings->kurskopie_onlyDozKurse) {
      return $dbwKurse->getKurseNummern();
    } else {
      $dnr = $this->getVeranstalterDnr();
      if ($dnr > 0) {
        return $dbwKurse->getKursNummernbyDozentNR($dnr);
      } else {
        
        return $dbwKurse->getKurseNr4VeranstalterNr($this->user->id);
      }
    }
  }

  protected function setzeSortierung($dbwKurse)
  {
    $dbwKurse = parent::setzeSortierung($dbwKurse);
    if (\DBWorkBASysSettings::isSalzburgBildungswerk()) {
      $dbwKurse->setOrderLike('k.nr', 'V%');
    }

    return $dbwKurse;
  }
}